// 1. 准备一个计算两个时间之间时间差的函数
export function timeDiff(time1, time2) {
    // 两个参数表示两个时间节点
  
    // 2. 计算两个时间节点之间的差值(天, 小时, 分钟, 秒钟)
    // 2-1. 计算两个时间节点之间相差的秒数
    var diff = Math.floor(Math.abs(new Date(time1).getTime() - new Date(time2).getTime()) / 1000)
    // 2-2. 通过 diff 换算两个时间节点之间相差的天, 小时, 分钟, 秒钟
    var day = Math.floor(diff / (60 * 60 * 24))
    var hours = Math.floor(diff % (60 * 60 * 24) / (60 * 60))
    var minutes = Math.floor(diff % (60 * 60) / 60)
    var seconds = diff % 60

    // 3. 返回一个对象, 里面包含所有信息
    // 3-1. 创建一个对象
    var obj = {}
    // 3-2. 向对象里面添加成员
    obj.day = day?day+'天':'' // 把 day 变量的值赋值给了 obj 的 day 成员
    obj.hours = hours?hours+'时':''
    obj.minutes = minutes?minutes+'分':''
    obj.seconds = seconds?seconds+'秒':''
    // 3-3. 把这个对象返回
    // return obj
    let str=''
    for(let key in obj){
        str+=obj[key]
    }
    return str
}